[Pkg-sysvinit-commits] r174 - sysvinit/trunk/debian/initscripts/etc/init.d

Thomas Hood jdthood-guest at costa.debian.org
Mon Nov 21 09:14:10 UTC 2005


Author: jdthood-guest
Date: 2005-11-21 09:14:09 +0000 (Mon, 21 Nov 2005)
New Revision: 174

Modified:
   sysvinit/trunk/debian/initscripts/etc/init.d/mountall.sh
   sysvinit/trunk/debian/initscripts/etc/init.d/single
Log:
Simplify mountall messages ; fix some messages and indentation

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/mountall.sh
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/mountall.sh	2005-11-21 08:39:35 UTC (rev 173)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/mountall.sh	2005-11-21 09:14:09 UTC (rev 174)
@@ -21,28 +21,19 @@
 	#
 	# Mount local file systems in /etc/fstab.
 	#
-	[ "$VERBOSE" != no ] && log_action_begin_msg "Mounting local filesystems"
+	[ "$VERBOSE" != no ] && log_action_msg "Will now mount local filesystems"
 
 	# Accept 96 (32/mount failure + 64/some mount succeeded)
 	# as a valid return status from mount in mountall.sh.
 	# It seems to be returned when some mount points were already mounted.
-	MOUNT_MESSAGES="$(mount -av -t nonfs,nonfs4,nosmbfs,nocifs,noncp,noncpfs,nocoda,noocfs2,nogfs 2>&1)"
+	mount -av -t nonfs,nonfs4,nosmbfs,nocifs,noncp,noncpfs,nocoda,noocfs2,nogfs
 	ES=$?
 	if [ "$VERBOSE" != no ]; then
-		# Print only the first line output
-		MOUNT_MESSAGE_TO_PRINT="$(echo "$MOUNT_MESSAGES" | egrep -m 1 -v '(already|nothing was) mounted')"
-		[ "$MOUNT_MESSAGE_TO_PRINT" ] && log_action_cont_msg "(${MOUNT_MESSAGE_TO_PRINT})"
 		if [ 96 = $ES ] || [ 0 = $ES ]; then
-			log_action_end_msg 0
+			log_success_msg "Done mounting local filesystems"
 		else
-			log_action_end_msg 1
+			log_failure_msg "Done mounting local filesystems"
 		fi
-	else
-		echo "$MOUNT_MESSAGES" | egrep -v '(already|nothing was) mounted' | (
-			while read MOUNT_MESSAGE_TO_PRINT ; do
-				log_warning_msg $MOUNT_MESSAGE_TO_PRINT
-			done
-		)
 	fi
 
 	case `uname -s` in

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/single
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/single	2005-11-21 08:39:35 UTC (rev 173)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/single	2005-11-21 09:14:09 UTC (rev 174)
@@ -7,9 +7,6 @@
 # Default-Stop:
 # Short-Description: executed by init(8) upon entering runlevel 1 (single).
 ### END INIT INFO
-#
-# Version:	@(#)single  2.85-18  04-Jun-2004  miquels at cistron.nl
-#
 
 PATH="/sbin:/bin:/usr/sbin:/usr/bin"
 . /lib/lsb/init-functions
@@ -34,22 +31,23 @@
 		esac
 	fi
 
-	log_action_msg "Switching to single-user mode"
+	log_action_msg "Will now switch to single-user mode"
 	exec init -t1 S
 }
 
 case "$1" in
-    start)
-        do_start
-        ;;
-    restart|reload|force-reload)
-        echo "Error: argument '$1' not supported" >&2
-        exit 3
-        ;;
-    stop)
-        ;;
-    *)
-        echo "Usage: $0 start|stop" >&2
-        exit 3
-        ;;
+  start)
+	do_start
+	;;
+  restart|reload|force-reload)
+	echo "Error: argument '$1' not supported" >&2
+	exit 3
+	;;
+  stop)
+	# No-op
+	;;
+  *)
+	echo "Usage: $0 start|stop" >&2
+	exit 3
+	;;
 esac




More information about the Pkg-sysvinit-commits mailing list